Skip to main content
GET
/
v1
/
passports
/
{passport_id}
/
token
Typescript (SDK)
import { RaijinLabsLucidAi } from "raijin-labs-lucid-ai";

const raijinLabsLucidAi = new RaijinLabsLucidAi();

async function run() {
  const result = await raijinLabsLucidAi.shares.lucidGetShareToken({
    passportId: "<id>",
  });

  console.log(result);
}

run();
{
  "success": true,
  "mint": "<string>",
  "passportId": "<string>",
  "name": "<string>",
  "symbol": "<string>",
  "totalSupply": 123,
  "decimals": 123,
  "holders": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.lucid.foundation/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Lucid API key (lk_live_... or lk_test_...)

Path Parameters

passport_id
string
required

Passport identifier to query share token info

Response

OK

success
boolean
required
mint
string
required

SPL token mint address

passportId
string
required
name
string
required
symbol
string
required
totalSupply
integer
required
decimals
integer
required
holders
integer

Number of unique token holders